#include "TemplateBuilder.hh"
#include "fastjet/PseudoJet.hh"
#include "fastjet/ClusterSequence.hh"
#include <iomanip> // for std::setw


int main(int argc, char* argv[]) {
  
  if (argc !=2) {
    std::cout << "Usage:  "<< argv[0] << " <template.dat>" << std::endl;
    return 1;
  }
   /// Set Run Parameters 
  double R = 1.2; // anti-kt parameter
  double Mass = 125.;
  double pT = 250.;
  double px = pT, py = 0, pz = 0.;
  double ee = sqrt (px * px + py * py + pz * pz + Mass * Mass); 			
  fastjet::PseudoJet axis(px,py,pz,ee);	  
  
  double etaMax = 1.5;
  double phiMax = 1.5;
  double minPt = 10.; 
  int nEta = 40;
  int nPhi = 40;
  int nPt = 25; 
  TemplateModel mode = HIGGS2;
  
  std::ofstream oFile(argv[1]);
  
  TemplateBuilder(oFile, axis, etaMax, phiMax, minPt, nEta, nPhi, nPt, R, mode);

 
  return 0;
}

